import request from '@/utils/request'

// 查询电厂大屏每日8：00抓取数据列表
export function listDashboarddayeleceight(query) {
  return request({
    url: '/aspen/dashboarddayeleceight/list',
    method: 'get',
    params: query
  })
}

// 查询电厂大屏每日8：00抓取数据详细
export function getDashboarddayeleceight(id) {
  return request({
    url: '/aspen/dashboarddayeleceight/' + id,
    method: 'get'
  })
}

// 新增电厂大屏每日8：00抓取数据
export function addDashboarddayeleceight(data) {
  return request({
    url: '/aspen/dashboarddayeleceight',
    method: 'post',
    data: data
  })
}

// 修改电厂大屏每日8：00抓取数据
export function updateDashboarddayeleceight(data) {
  return request({
    url: '/aspen/dashboarddayeleceight',
    method: 'put',
    data: data
  })
}

// 删除电厂大屏每日8：00抓取数据
export function delDashboarddayeleceight(id) {
  return request({
    url: '/aspen/dashboarddayeleceight/' + id,
    method: 'delete'
  })
}

// 导出电厂大屏每日8：00抓取数据
export function exportDashboarddayeleceight(query) {
  return request({
    url: '/aspen/dashboarddayeleceight/export',
    method: 'get',
    params: query
  })
}

//电厂大屏本周8：00抓取数据
export function selectWeek(query) {
  return request({
    url: '/aspen/dashboarddayeleceight/week',
    method: 'get',
    params: query
  })
}
